
pub use crate::monitor::Monitor;
pub use crate::message::Message;
pub use std::sync::mpsc;


#[derive(Debug)]
pub struct Tester {

}

impl Monitor for Tester {
	fn new() -> Self {
		Tester{}
	}
	fn run(&self, sender: &mpsc::Sender<Message>) {

		loop {
			println!("-- Sending message");
			sender.send(Message{
				emitter: "me".to_string(),
				level: 10,
				msg_type: "string".to_string(),
				text: "Consectetur duis do dolor deserunt est minim dolore tempor et non duis.".to_string(),
			}).unwrap();

			std::thread::sleep(std::time::Duration::from_millis(2000));
		}

	}
}